
Katello - Bug #5886

No organizations returned for admin user when attempting to register
Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1108416 Red Hat JIRA:  

Pull request:    

Description

Associated revisions

Revision 4ec7f7c3 - 05/23/2014 02:26 AM - Eric Helms

Fixes #5886: Return organizations for the admin user.

Since the admin user is treated differently than other users, the

admin user doesn't have a direct relationship to any organizations.

Thus, we need to check if the user is an admin and return all

organizations.

Revision 0defd2d4 - 05/23/2014 12:29 PM - Eric Helms

Merge pull request #4141 from ehelms/fixes-5886

Fixes #5886: Return organizations for the admin user.

History

#1 - 05/23/2014 12:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:4ec7f7c3a161dbde3c08376d777b3d72e327686c.

#2 - 06/12/2014 02:43 AM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1108416

#3 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
